const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzzsolutions.asia/amap/map.php?site=OHV&lazyld=true",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    kiosks: {
		
		"Paul-RK3588": { startNodeId: "_34815_13377_-274", camera: [32758, -52514, 78282], scene: [33359, 16343, 1803] },
        "Kent-RK3588": { startNodeId: "_34815_13377_-274", camera: [32758, -52514, 78282], scene: [33359, 16343, 1803] },
		"Shujat-RK3588": { startNodeId: "_34815_13377_-274", camera: [32758, -52514, 78282], scene: [33359, 16343, 1803] },
        "SM-T500": { startNodeId: "_34815_13377_-274", camera: [32758, -52514, 78282], scene: [33359, 16343, 1803] }
		
    },
	
	defaultViewsByNodeId: {
		
       "_34815_13377_-274": { camera: [32758, -52514, 78282], scene: [33359, 16343, 1803] }, // default-View
	   
	   "_24790_10546_-274": { camera: [6986, 38142, 28780], scene: [24375, 16281, 1803] }, // WF001-L101
	   "_46201_30549_-274": { camera: [24501, 20441, 33004], scene: [44182, 20011, 1803] }, // WF002-L102
	   "_59229_22414_-274": { camera: [33616, 10538, 26771], scene: [50326, 20430, 1803] }, // WF003-L103
	   "_17323_10529_175": { camera: [19823, 40822, 32715], scene: [19823, 17317, 1803] }, // WF004-L201
	   "_64623_20222_175": { camera: [34591, 6655, 32715], scene: [54633, 18936, 1803] },  // WF005-L202
	   "_12621_4175_1075": { camera: [46670, 13595, 33121], scene: [23708, 13695, 1803] }, // WF006-L401
	   "_30178_6373_1075": { camera: [55703, 29242, 30663], scene: [34035, 14901, 1803] } // WF007-L402
		
		},

    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [3, 3, 2],
        animate: false,
        animRotation: [0, 0, 5],
        animScale: [0.15, 7, 9],
        neutralRotation: true
    },

zoneDefaultViews: [
    { camera: [35629, -49032, 74458], scene: [36200, 16381, 1803] }, // NO default view for zone 0 - B2
    { camera: [35818, -49034, 74458], scene: [36390, 16380, 1803] }, // NO default view for zone 1 - B1
    { camera: [36829, -48980, 74458], scene: [37400, 16434, 1803] }, // NO default view for zone 2 - L1
    { camera: [37460, -48985, 74458], scene: [38031, 16428, 1803] }, // NO default view for zone 3 - L2
    { camera: [39288, -45730, 70826], scene: [39830, 16413, 1803] }, // NO default view for zone 4 - L3
    { camera: [28131, -32073, 52541], scene: [28530, 13608, 1803] }, // NO default view for zone 5 - L4
    { camera: [24105, -28340, 47594], scene: [24465, 12887, 1803] }, // NO default view for zone 6 - L5
    { camera: [25764, -34439, 52541], scene: [26163, 11242, 1803] }, // NO default view for zone 7 - L6
    { camera: [25764, -34439, 52541], scene: [26163, 11242, 1803] }, // NO default view for zone 8 - L7
    { camera: [25764, -34439, 52541], scene: [26163, 11242, 1803] }, // NO default view for zone 9 - L8
],

    uiInteractionManager: true,
    noInteractionTimeoutSecs: 120, // secs
    newSessionTimeoutSecs: 25, // secs
    useFlyAnimation: true,
	pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,

    labelCanvasMethod: false,
    labelCanvasFontDict: {
        "EN": "32px Font-Label",
        "ZH": "32px Font-Label",
        "ZH-CHS": "32px Font-Label"
    },
    dataLang: "EN", // to set the labels in the defaultLanguage (only for canvas based labels method = labelCanvasMethod: true)

    serviceTypeResultsBannerStream: "RIGHT_BANNER",

    zoneButtonUseLongName: false,
	multiFloorTransition: true,
    heightSpread: 25000, // cm

    useTopCategories: false,
    qrDarkColor: "#000000",
    maxPOIsResults: 300,

    rovingBaseUrl: "https://roving.dev.abuzz.tech/concierge",

    clockDateFormat: "ddd, D MMM",
    clockTimeFormat: "hh:mm",
    weatherCity: "Singapore, SG"
};

const customMainServicesCodes = ["toilets_male", "toilets_female", "baby", "petparking","petlift" ];
const servicesWithResultsList = ["petlift", "petparking", "locker", "bicycle", "dropoff", "dispenser", "payment"];
const servicesWithResultsListSortField = "cellId";

const aboutOHVInfo = {
    title: [
        { lang: "EN", value: "ONE HOLLAND VILLAGE" }
    ],
    description: [
        {
            lang: "EN",
            value: "<p>The first-of-its-kind, low-rise urban lifestyle hub in Singapore, inspired by the iconic rhythm and language of the surrounding shophouses and streets.</p>" +
                "<p>Complementing the porous nature of its terrain, shops are designed to integrate with open spaces where the community can gather. By linking people, public spaces and amenities together, this new space will be an extension of the authenticity and bohemian charm of the Village. </p>" +
                "<p>Offering a range of up-market dining, shopping and lifestyle options over 13,500 square metres of new retail, Holland Village will bring new vibrancy and amenities to the community.</p>" +
                "<p>You can expect everything from cafes to gourmet restaurants, independent boutiques to global brands, and the best of both local and international retail concepts. </p>" +
                "<p>Reaching Holland Village is easy via public transport links such as the Holland Village MRT Station and many bus services. It is also connected to the Ayer Rajah Expressway (AYE) and Pan Island Expressway (PIE), which will take you to any point in the city fast. </p>"
        }
    ],
    medias: [
        {
            link: '/../app/assets/images/client/ohv_about.png',
            type: 'IMAGE'
        }
    ]
}